/*
 * SplashScreen.java - display a splash screen.
 *
 * 09-May-2006, ver 0.50
 *
 * COPYRIGHT: Copyright (c) 2006 Brendan Gregg.
 *
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software Foundation,
 *  Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *  (http://www.gnu.org/copyleft/gpl.html)
 *
 * 09-May-2006  Brendan Gregg   Created this.
 */

import java.lang.Class;
import javax.swing.*;
import java.awt.Image;

/**
 * SplashScreen - display a splash screen.
 * This has been written as a different class, so that the splash screen
 * can be customised and tested seperatly.
 */
public class SplashScreen {
    private JFrame frame;

    SplashScreen(JFrame mainFrame) {
        frame = mainFrame;
    }

    public void run() {
        ImageIcon image = new ImageIcon(
                getClass().getResource("images/splash.png"));
        JLabel label = new JLabel(image);
        frame.getContentPane().add(label);

        JOptionPane.showMessageDialog(frame, image, "Welcome to Ged",
                JOptionPane.PLAIN_MESSAGE);
    }
}

